Bug 998606 - (CVE-2013-4414) CVE-2013-4414 cumin: non-persistent XSS possible due to not escaping set limit form input
CVE-2013-4414 cumin: non-persistent XSS possible due to not escaping set limi...
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20131217,repor...
: Security
Depends On: 1017425 1017426
Blocks: 858767 1034635
  Show dependency treegraph
 
Reported: 2013-08-19 11:05 EDT by Tomáš Nováčik
Modified: 2016-03-04 05:40 EST (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-17 20:08:05 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tomáš Nováčik 2013-08-19 11:05:50 EDT
It was found that cumin did not properly escape input from the "Max allowance" field in the "Set limit" form of the cumin web interface. A remote attacker could use this flaw to perform cross-site scripting (XSS) attacks against victims by tricking them into visiting a specially crafted URL.
Comment 4 Vincent Danen 2013-10-09 16:29:11 EDT
Acknowledgements:

This issue was discovered by Tomáš Nováčik of the Red Hat MRG Quality Engineering team.
Comment 11 errata-xmlrpc 2013-12-17 13:39:12 EST
This issue has been addressed in following products:

  MRG for RHEL-6 v.2

Via RHSA-2013:1852 https://rhn.redhat.com/errata/RHSA-2013-1852.html
Comment 12 errata-xmlrpc 2013-12-17 13:41:51 EST
This issue has been addressed in following products:

  MRG for RHEL-5 v. 2

Via RHSA-2013:1851 https://rhn.redhat.com/errata/RHSA-2013-1851.html

Note You need to log in before you can comment on or make changes to this bug.